#import "LinksdkPlugin.h"
#import <MobLinkPro/MobLink.h>
#import <MobLinkPro/MLSDKScene.h>

@implementation LinksdkPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"linksdk"
            binaryMessenger:[registrar messenger]];
  LinksdkPlugin* instance = [[LinksdkPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"getMobId" isEqualToString:call.method]) {
//      result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
      MLSDKScene *scene = [MLSDKScene sceneForPath:@"/link/flutter" params:@{@"link": @"flutter", @"ver": @(331)}];
      [MobLink getMobId:scene result:^(NSString * _Nullable mobid, NSString * _Nullable domain, NSError * _Nullable error) {
          NSString *res = [NSString stringWithFormat:@"%@%@", domain, mobid];
          result(res);
      }];
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
